lo::ServerThread(3)

NAME
lo::ServerThread - Class representing a server thread, proxy for lo_server_thread.

SYNOPSIS

#include <lo_cpp.h>

Inherits lo::Server.

  Additional Inherited Members
Public Member Functions inherited from lo::Server
Server (lo_server s)
template<typename E > Server (const num_string_type &port, E &&e)
template<typename E > Server (const num_string_type &port, int proto, E &&e=0)
template<typename E > Server (const string_type &group, const num_string_type &port, const string_type &iface=0, const string_type &ip=0, E &&e=0)
Server (const num_string_type &port, lo_err_handler err_h=0)
Server (const num_string_type &port, int proto, lo_err_handler err_h=0)
Server (const string_type &group, const num_string_type &port, const string_type &iface='', const string_type &ip='', lo_err_handler err_h=0)
virtual ~Server ()
Method add_method (const string_type &path, const string_type &types, lo_method_handler h, void *data) const
LO_ADD_METHOD ((const char *, const char *, lo_arg **, int),((char *) 0,(char *) 0,(lo_arg **) 0,(int) 0),(path, types, argv, argc))
LO_ADD_METHOD ((const char *, lo_arg **, int),((char *) 0,(lo_arg **) 0,(int) 0),(types, argv, argc))

Detailed Description

Class representing a server thread, proxy for lo_server_thread.

Definition at line 754 of file lo_cpp.h.

Author

Generated automatically by Doxygen for liblo from the source code.